Server Azure AD Administrators - Create Or Update
Creates or updates an existing Azure Active Directory administrator.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/administrators/ActiveDirectory?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
administrator
|
path | True |
The name of server active directory administrator. |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.login | True |
string |
Login name of the server administrator. |
| properties.sid | True |
string (uuid) |
SID (object ID) of the server administrator. |
| properties.administratorType |
Type of the sever administrator. |
||
| properties.tenantId |
string (uuid) |
Tenant ID of the administrator. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'ServerAzureADAdministrator' update operation succeeded |
|
| 201 Created |
Resource 'ServerAzureADAdministrator' create operation succeeded Headers
|
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Creates or updates an existing Azure Active Directory administrator.
Sample request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory?api-version=2025-01-01
{
"properties": {
"administratorType": "ActiveDirectory",
"login": "bob@contoso.com",
"sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
}
}
Sample response
{
"name": "ActiveDirectory",
"type": "Microsoft.Sql/servers/administrators",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"azureADOnlyAuthentication": true,
"login": "bob@contoso.com",
"sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
}
}
{
"name": "activeDirectory",
"type": "Microsoft.Sql/servers/administrators",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"azureADOnlyAuthentication": true,
"login": "bob@contoso.com",
"sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
}
}
Definitions
| Name | Description |
|---|---|
|
Administrator |
|
|
Administrator |
Type of the sever administrator. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Server |
Azure Active Directory administrator. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AdministratorName
| Value | Description |
|---|---|
| ActiveDirectory |
ActiveDirectory |
AdministratorType
Type of the sever administrator.
| Value | Description |
|---|---|
| ActiveDirectory |
ActiveDirectory |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ServerAzureADAdministrator
Azure Active Directory administrator.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.administratorType |
Type of the sever administrator. |
|
| properties.azureADOnlyAuthentication |
boolean |
Azure Active Directory only Authentication enabled. |
| properties.login |
string |
Login name of the server administrator. |
| properties.sid |
string (uuid) |
SID (object ID) of the server administrator. |
| properties.tenantId |
string (uuid) |
Tenant ID of the administrator. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |